/*
 * Class H2E_IDS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_232 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_232 [] = {0xFF01,1551,231,0xFFFF};
static const EIF_TYPE_INDEX egt_2_232 [] = {0xFF01,231,0xFFFF};
static const EIF_TYPE_INDEX egt_3_232 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_232 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_232 [] = {0xFF01,231,0xFFFF};
static const EIF_TYPE_INDEX egt_6_232 [] = {0xFF01,231,0xFFFF};
static const EIF_TYPE_INDEX egt_7_232 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_232 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_232 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_232 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_232 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_232 [] = {0xFF01,231,0xFFFF};


static const struct desc_info desc_232[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_232), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_232), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_232), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_232), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_232), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_232), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_232), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_232), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_232), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_232), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_232), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_232), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01CF /*231*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_232), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4928, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4932, 0xFFFFFFFF},
};
void Init232(void)
{
	IDSC(desc_232, 0, 231);
	IDSC(desc_232 + 1, 1, 231);
	IDSC(desc_232 + 32, 923, 231);
}


#ifdef __cplusplus
}
#endif
